/* © SRSoftware 2025 */
package de.srsoftware.umbrella.company.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Company;
import de.srsoftware.umbrella.core.model.UmbrellaUser;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public interface CompanyDb {
	void addUser(long company_id, long user_id);

	long drop(long companyId);

	void dropUser(long company_id, long user_id);

	HashMap<Long, Company> find(UmbrellaUser userId, Collection<String> keys);

	Collection<Long> getMembers(long companyId) throws UmbrellaException;

	String getNextCustomerNumber(long companyId);

	Map<Long,Company> listCompaniesOf(long id) throws UmbrellaException;

	Company load(long companyId) throws UmbrellaException;

	Company save(Company company);

	void saveNewCustomer(long companyId, String id);
}
